# openmamba virtualbox user space specfile + dkms for kernel drivers

%define vboxusers_groupid 65056
%define vboxusers_userid  65056

# Currently using X.org 1.12 driver
%define xorg_ver %(pkg-config xorg-server --modversion|cut -d. -f 1-2)
%define xorgdrvver %(echo %xorg_ver | tr -d .)

# DISTCC disabled by default for this package
%define USE_DISTCC                0

%ifarch x86_64
%define virtualbox_arch amd64
%else
%define virtualbox_arch x86
%endif

Name:          VirtualBox
Version:       5.2.12
Release:       1mamba
Summary:       A general-purpose full virtualizer for x86 hardware
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://www.virtualbox.org/
Source0:       http://download.virtualbox.org/virtualbox/%{version}/VirtualBox-%{version}.tar.bz2
Source1:       %{name}-wrapper
Source2:       %{name}-initscript
Source3:       %{name}-desktop
Source4:       http://download.virtualbox.org/virtualbox/%{version}/VBoxGuestAdditions_%{version}.iso
Source5:       %{name}-modprobe
# git clone https://github.com/Thorsten-Sick/vdfuse.git
Source6:       vdfuse-20140417git.tar.xz
Patch0:        %{name}-4.0.8-enable_ffmpeg_capture.patch
Patch1:        %{name}-4.1.8-x86_64-disable_check_32bit.patch
Patch2:        VirtualBox-4.3.12-gcc-4.9.patch
Patch3:        VirtualBox-4.2.16-vboxusb-permissions.patch
Patch4:        VirtualBox-4.3.12-gcc-4.9.0.patch
Patch5:        VirtualBox-4.3.26-vdfuse.patch
Patch6:        VirtualBox-5.0.4-x86-upstream-buildfixes.patch
Patch7:        VirtualBox-5.1.22-build-gsoap.patch
Patch8:        VirtualBox-5.0.24-ogl-include-path.patch
Patch9:        VirtualBox-5.2.2-no-vboxvideo.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libIDL-devel
BuildRequires: libSDL-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXinerama-devel
BuildRequires: libXmu-devel
BuildRequires: libXrandr-devel
BuildRequires: libXt-devel
BuildRequires: libcurl-devel
BuildRequires: libdevmapper-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libopenssl-devel
BuildRequires: libpam-devel
BuildRequires: libpng-devel
BuildRequires: libpython27-devel
BuildRequires: libpython3-devel
BuildRequires: libpython36-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvncserver-devel
BuildRequires: libvpx-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: bin86
BuildRequires: acpica
BuildRequires: libalsa-devel
BuildRequires: makeself
BuildRequires: tetex-latex
BuildRequires: latex-ucs
BuildRequires: latex-font-bera
BuildRequires: gsoap-devel
BuildRequires: jdk
BuildRequires: librtmp-devel
Provides:      kernelvboxdrv
Obsoletes:     kernelvboxdrv
Requires(post):kernelheaders
Requires(post):dkms
Requires(post):libelf-devel
Provides:      virtualbox
Obsoletes:     virtualbox
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
VirtualBox is a general-purpose full virtualizer for x86 hardware.
Targeted at server, desktop and embedded use, it is the professional-quality virtualization solution that is also Open Source Software.

%package devel
Summary:       VirtualBox library headers
Group:         Applications/Development
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
VirtualBox library headers.

%package web
Summary:       A service which allows to control VirtualBox from the Web
Group:         Applications/Web
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description web
A service which allows to control VirtualBox from the Web.

%package additions
Summary:       VirtualBox Guest additions
Group:         Applications/Emulators

%description additions
VirtualBox Guest additions.

%package additions-VBoxGuest
Summary:       VirtualBox Guest additions ISO image
Group:         Applications/Emulators
Provides:      virtualbox-additions-VBoxGuest
Obsoletes:     virtualbox-additions-VBoxGuest

%description additions-VBoxGuest
VirtualBox Guest additions ISO image.

%package -n xorg-drv-video-vboxvideo
Group:         System/X11
Summary:       X.org video driver for VirtualBox guest machine
Provides:      xorgdrvvideo
#Requires:      kernelvboxvideo
Requires:      xorg-server >= %{xorg_ver}
Requires:      xorg-server <= %{xorg_ver}.255

%description -n xorg-drv-video-vboxvideo
X.org video driver for VirtualBox guest machine-

%package -n xorg-drv-input-vboxmouse
Group:         System/X11
Summary:       X.org mouse driver for VirtualBox guest machine
Provides:      xorgdrvinput
Requires:      xorg-server >= %{xorg_ver}
Requires:      xorg-server <= %{xorg_ver}.255

%description -n xorg-drv-input-vboxmouse
X.org mouse driver for VirtualBox guest machine.

%package vboxguest
Group:         System/Kernel and Hardware
Summary:       Kernel DRM driver for VirtualBox guest machines
Requires(post):dkms
Requires(post):kernelheaders
Requires(post):libelf-devel
Provides:      kernelvboxvideo
Obsoletes:     kernelvboxvideo

%description vboxguest
Kernel DRM driver for VirtualBox guest machines.

%prep
%setup -q -a6
#-D -T
#:<< _EOF
#%patch1 -p1
#%patch2 -p1
#%patch4 -p1
#%patch3 -p1
%patch5 -p1
#%patch6 -p2
%patch7 -p1
#%patch8 -p1
%patch9 -p1

echo "\
VBOX_WITH_ORIGIN :=
VBOX_PATH_APP_PRIVATE_ARCH := %{_libdir}/VirtualBox
VBOX_PATH_SHARED_LIBS := \$(VBOX_PATH_APP_PRIVATE_ARCH)
VBOX_WITH_RUNPATH := \$(VBOX_PATH_APP_PRIVATE_ARCH)
VBOX_PATH_APP_PRIVATE := \$(VBOX_PATH_APP_PRIVATE_ARCH)
VBOX_PATH_APP_DOCS := %{_docdir}/VirtualBox
VBOX_PATH_PACKAGE_DOCS := \$(VBOX_PATH_APP_DOCS)
VBOX_GCC_WERR=
VBOX_GCC_WARN=
VBOX_WITH_TESTCASES=
VBOX_WITH_TESTSUITE=
VBOX_WITH_VALIDATIONKIT=
#VBOX_VERSION_STRING=\$(VBOX_VERSION_MAJOR).\$(VBOX_VERSION_MINOR).\$(VBOX_VERSION_BUILD)_openmamba
VBOX_JAVA_HOME=%{_jvmdir}/jdk
# fix gsoap missing zlib include and produce errors with --as-needed
VBOX_GSOAP_CXX_LIBS=gsoapssl++ z
# use system xorg
VBOX_USE_SYSTEM_XORG_HEADERS=1
# use system libGL
VBOX_USE_SYSTEM_GL_HEADERS=1
# no update request
VBOX_WITH_UPDATE_REQUEST=
VBOX_GCC_OPT=%{optflags}" > LocalConfig.kmk

%build
export CFLAGS="%optflags"
export CXXFLAGS="%optflags"

#:<< _EOF

./configure \
   --enable-webservice \
   --enable-vde \
   --disable-kmods \
   --with-gcc=%{_host}-gcc \
   --with-g++=%{_host}-g++ \
   --enable-vnc \
%ifnarch x86_64
   --disable-python \
%endif
%if "%{stage1}" == "1"
   --disable-java
%endif

#_EOF

#   --disable-hardening \
#   --enable-webservice \

. ./env.sh

%ifarch x86_64
export KERN_DIR=/usr/src/linux-mamba-x86_64
%else
export KERN_DIR=/usr/src/linux-mamba
%endif
kmk %{?_smp_mflags} CPPFLAGS="%{optflags} -fpermissive"
# EB_LD=ld.bfd
#	|| true

## workaround
#kmk VBOX_GCC_WERR= \
#    VBOX_VERSION_STRING='$(VBOX_VERSION_MAJOR).$(VBOX_VERSION_MINOR).$(VBOX_VERSION_BUILD)'_openmamba \
#    VBOX_JAVA_HOME=%{_jvmdir}/jdk \
#    EB_LD=ld.bfd || true

## files that needs editing before they can be included in the generic installer.
#sed "s|\%NOLSB\%|yes|g; \
#     s|\%DEBIAN\%||g; \
#     s|\%PACKAGE\%|virtualbox|g" src/VBox/Installer/linux/vboxballoon-service.sh.in > \
#       src/VBox/Installer/linux/vboxballoon-service.sh

#sed "s|\%NOLSB\%|yes|g; \
#     s|\%DEBIAN\%||g; \
#     s|lfs-release|openmamba-release|g; \
#     s|\%PACKAGE\%|virtualbox|g" src/VBox/Installer/linux/vboxweb-service.sh.in > \
#       src/VBox/Installer/linux/vboxweb-service.sh

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -d %{buildroot}%{_libdir}/%{name}
cp -a out/*/release/bin/* %{buildroot}%{_libdir}/%{name}/

#install -d %{buildroot}%{_libdir}/xorg/modules/drivers
#mv %{buildroot}%{_libdir}/%{name}/additions/vboxvideo_drv_system.so %{buildroot}%{_libdir}/xorg/modules/drivers/vboxvideo_drv.so
#rm -f %{buildroot}%{_libdir}/%{name}/additions/vboxvideo_drv*

install -d %{buildroot}%{_libdir}/dri
mv %{buildroot}%{_libdir}/%{name}/additions/VBoxOGL.so %{buildroot}%{_libdir}/dri/vboxvideo_dri.so

#install -d %{buildroot}%{_libdir}/xorg/modules/input
#mv %{buildroot}%{_libdir}/%{name}/additions/vboxmouse_drv_%{xorgdrvver}.so* %{buildroot}%{_libdir}/xorg/modules/input/vboxmouse_drv.so
rm -f %{buildroot}%{_libdir}/%{name}/additions/vboxmouse_drv*

# install desktop menu icon
install -d %{buildroot}%{_datadir}/pixmaps/
cp %{buildroot}%{_libdir}/%{name}/VBox.png %{buildroot}%{_datadir}/pixmaps/VBox.png

## install modprobe file
#install -D -m 644 %{S:5} %{buildroot}%{_sysconfdir}/modprobe.d/vboxdrv.conf

# fixup strange shared library permissions
for library in $(find %{buildroot}%{_libdir}/%{name} -name \*.so); do
   chmod 755 $library
done

# install wrappers
install -d %{buildroot}%{_sysconfdir}/vbox
cat > %{buildroot}%{_sysconfdir}/vbox/vbox.cfg << EOF
# VirtualBox installation directory
INSTALL_DIR="%{_libdir}/%{name}"
EOF

install -m 755 %{S:1} %{buildroot}%{_libdir}/%{name}/vbox-run.sh
install -d %{buildroot}%{_bindir} %{buildroot}%{_sbindir}
ln -s %{_libdir}/%{name}/vbox-run.sh %{buildroot}%{_bindir}/VirtualBox
ln -s %{_libdir}/%{name}/vbox-run.sh %{buildroot}%{_bindir}/VBoxManage
ln -s %{_libdir}/%{name}/vbox-run.sh %{buildroot}%{_bindir}/VBoxSDL
ln -s %{_libdir}/%{name}/vbox-run.sh %{buildroot}%{_bindir}/vditool

# vboxwebsrv
ln -s %{_libdir}/%{name}/vboxwebsrv %{buildroot}%{_bindir}/vboxwebsrv
install -D -m0755 src/VBox/Installer/linux/vboxweb-service.sh %{buildroot}%{_initrddir}/vboxweb-service

#install -D -m0755 src/VBox/Installer/linux/vboxballoonctrl-service.sh.in %{buildroot}%{_initrddir}/vboxballoon-service

# install udev rules
install -d %{buildroot}/lib/udev/rules.d/
cat > %{buildroot}/lib/udev/rules.d/59-vboxdrv.rules << EOF
KERNEL=="vboxdrv", NAME="vboxdrv", OWNER="root", GROUP="root", MODE="0600"
KERNEL=="vboxdrvu", NAME="vboxdrvu", OWNER="root", GROUP="root", MODE="0666"
KERNEL=="vboxnetctl", NAME="vboxnetctl", OWNER="root", GROUP="root", MODE="0600"
SUBSYSTEM=="usb_device", ACTION=="add", RUN="VBoxCreateUSBNode.sh \$major \$minor \$attr{bDeviceClass}"
SUBSYSTEM=="usb", ACTION=="add", ENV{DEVTYPE}=="usb_device", RUN="VBoxCreateUSBNode.sh \$major \$minor \$attr{bDeviceClass}"
SUBSYSTEM=="usb_device", ACTION=="remove", RUN="VBoxCreateUSBNode.sh --remove \$major \$minor"
SUBSYSTEM=="usb", ACTION=="remove", ENV{DEVTYPE}=="usb_device", RUN="VBoxCreateUSBNode.sh --remove \$major \$minor"
EOF

install -d -m0755 %{buildroot}/lib/udev/
mv %{buildroot}%{_libdir}/VirtualBox/VBoxCreateUSBNode.sh \
   %{buildroot}/lib/udev/VBoxCreateUSBNode.sh

# install icons
for size in 16 32 48 64; do
   install -D -m 644 src/VBox/Frontends/VirtualBox/images/OSE/VirtualBox_${size}px.png \
      %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/apps/%{name}.png
done

# install menu entry
install -D -m 644 %{S:3} %{buildroot}%{_datadir}/applications/%{name}.desktop

# install VirtualBox Guest Additions
install -m 644 %{S:4} %{buildroot}%{_libdir}/%{name}/additions/VBoxGuestAdditions.iso

# remove unpackaged files
rm -rf %{buildroot}%{_libdir}/%{name}/{src,sdk,testcase}
rm -rf %{buildroot}%{_libdir}/%{name}/additions/src
rm -f  %{buildroot}%{_libdir}/%{name}/tst*
#rm -f  %{buildroot}%{_libdir}/%{name}/*.ko

rm -rf %{buildroot}%{_libdir}/%{name}/VBoxPython2_4.so
rm -rf %{buildroot}%{_libdir}/%{name}/VBoxPython2_6.so

# install additions
mv %{buildroot}%{_libdir}/%{name}/additions/VBoxOGL*.so %{buildroot}%{_libdir}/
cp src/VBox/Additions/linux/installer/vboxadd-service.sh %{buildroot}%{_initrddir}/vboxadd
install -d -m 0755 %{buildroot}%{_sbindir}
mv %{buildroot}%{_libdir}/%{name}/additions/{VBoxService,VBoxClient,VBoxControl} %{buildroot}%{_sbindir}/

# install suspend configuration file to fix suspend/hibernate since 4.1.0
install -d -m0755 %{buildroot}%{_sysconfdir}/pm/config.d/
cat >> %{buildroot}%{_sysconfdir}/pm/config.d/vboxdrv << _EOF
SUSPEND_MODULES="vboxdrv"
_EOF

install -d -m0755 %{buildroot}%{_sysconfdir}/default
cat > %{buildroot}%{_sysconfdir}/default/virtualbox << _EOF
VBOXWEB_USER=root
_EOF

#make -C out/linux.%virtualbox_arch/release/bin/src/ \
#   KERN_DIR=%{_prefix}/src/linux-%{kernel_version}%{?KERNEL_TARGET}
#make -C out/linux.%virtualbox_arch/release/bin/additions/src/vboxvideo \
#   KERN_DIR=%{_prefix}/src/linux-%{kernel_version}%{?KERNEL_TARGET}
#make -C out/linux.%virtualbox_arch/release/bin/additions/src/vboxguest \
#   KERN_DIR=%{_prefix}/src/linux-%{kernel_version}%{?KERNEL_TARGET}
#/lib/modules/%{KERNEL_VER}%{KERNEL_TARGET}/kernel/drivers/virtualbox/vboxdrv.ko
#/lib/modules/%{KERNEL_VER}%{KERNEL_TARGET}/kernel/drivers/virtualbox/vboxnetadp.ko
#/lib/modules/%{KERNEL_VER}%{KERNEL_TARGET}/kernel/drivers/virtualbox/vboxnetflt.ko
#/lib/modules/%{KERNEL_VER}%{KERNEL_TARGET}/kernel/drivers/virtualbox/vboxpci.ko

# dkms
for p in vboxdrv vboxnetadp vboxnetflt vboxpci; do
install -d -m0755 %{buildroot}%{_prefix}/src/${p}-%{version}
cp -a out/linux.%virtualbox_arch/release/bin/src/${p}/* %{buildroot}%{_prefix}/src/${p}-%{version}/
done

# dkms for vboxvideo
install -d -m0755 %{buildroot}%{_prefix}/src/vboxvideo-%{version}
cp -a out/linux.%virtualbox_arch/release/bin/additions/src/vboxvideo/* %{buildroot}%{_prefix}/src/vboxvideo-%{version}/

# dkms for vboxguest
install -d -m0755 %{buildroot}%{_prefix}/src/vboxguest-%{version}
cp -a out/linux.%virtualbox_arch/release/bin/additions/src/vboxguest/* %{buildroot}%{_prefix}/src/vboxguest-%{version}/

for p in vboxdrv vboxnetadp vboxnetflt vboxpci vboxvideo vboxguest; do
cat > %{buildroot}%{_prefix}/src/${p}-%{version}/dkms.conf << _EOF
PACKAGE_NAME=${p}
PACKAGE_VERSION=%{version}
MAKE="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build modules"
CLEAN="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build clean"
BUILT_MODULE_NAME=${p}
BUILT_MODULE_LOCATION=./
DEST_MODULE_LOCATION=/kernel/drivers/virtualbox
REMAKE_INITRD=no
AUTOINSTALL=yes
_EOF

done

# load modules at boot
install -d %{buildroot}%{_prefix}/lib/modules-load.d
cat > %{buildroot}%{_prefix}/lib/modules-load.d/virtualbox.conf << _EOF
vboxdrv
vboxnetflt
vboxnetadp
vboxpci
_EOF

## build and install vdfuse
#cd vdfuse
#sed -i "s|-l:||" vdbuild_new
#export INSTALL_DIR=%{buildroot}%{_libdir}/%{name}
#sh ./vdbuild_new ../include/ vdfuse.c
#install -m0755 vdfuse %{buildroot}%{_bindir}/vdfuse
#cd ..

# install headers for vdfuse
install -d -m0755 %{buildroot}%{_includedir}/virtualbox
cp -a include/{VBox,iprt} %{buildroot}%{_includedir}/virtualbox/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pre
if [ $1 -ge 1 ]; then
   # legacy cleanup
   dkms remove -q -m %{name} -v 4.2.10 --all || true
   dkms remove -q -m %{name} -v 4.2.12 --all || true
   dkms remove -q -m %{name} -v 4.2.14 --all || true
   dkms remove -q -m %{name} -v 4.2.16 --all || true
   dkms remove -q -m %{name} -v 4.2.18 --all || true
   rm -rf /var/lib/dkms/VirtualBox

   # fix a mess with file being adirectory in 5.0.4-1mamba
   [ -d %{_prefix}/lib/modules-load.d/virtualbox.conf ] && \
      rmdir %{_prefix}/lib/modules-load.d/virtualbox.conf
   %{_sbindir}/groupadd vboxusers -g %{vboxusers_groupid} 2>/dev/null
fi
:

%post
/sbin/ldconfig
:

%preun
# erase
if [ $1 -eq 0 ]; then
   %{_sbindir}/groupdel vboxusers 2>/dev/null
fi
for p in vboxdrv vboxnetadp vboxnetflt vboxpci; do
   dkms remove -q -m ${p} -v %{version} --all
done
:

#%postun
## upgrade
#if [ $1 -eq 1 ]; then
#   systemctl try-restart %{name}
#fi
#:

%posttrans
if [ $1 -ge 1 ]; then
   for p in vboxdrv vboxnetadp vboxnetflt vboxpci; do
      dkms add -q -m ${p} -v %{version}
      dkms install -q -m ${p} -v %{version} --force
   done
fi
:

%post web
%systemd_post vboxweb-service
:

%preun web
%systemd_preun vboxweb-service
:

%postun web
%systed_postun_with_restart wboxweb-service
:

%preun vboxguest
# erase
dkms remove -q -m vboxguest -v %{version} --all
dkms remove -q -m vboxvideo -v %{version} --all
:

%post vboxguest
dkms remove -q -m vboxguest -v 4.2.10 --all
dkms remove -q -m vboxvideo -v 4.2.10 --all
dkms remove -q -m vboxguest -v 4.2.12 --all
dkms remove -q -m vboxvideo -v 4.2.12 --all
dkms remove -q -m vboxguest -v 4.2.14 --all
dkms remove -q -m vboxvideo -v 4.2.14 --all
dkms remove -q -m vboxguest -v 4.2.16 --all
dkms remove -q -m vboxvideo -v 4.2.16 --all
dkms remove -q -m vboxguest -v 4.2.18 --all
dkms remove -q -m vboxvideo -v 4.2.18 --all
:

%posttrans vboxguest
if [ $1 -ge 1 ]; then
   dkms add -q -m vboxguest -v %{version}
   dkms add -q -m vboxvideo -v %{version}
   dkms install -q -m vboxguest -v %{version} --force
   dkms install -q -m vboxvideo -v %{version} --force
fi
:

%files
%defattr(-,root,root)
%config %{_sysconfdir}/vbox/vbox.cfg
%config(noreplace) %{_sysconfdir}/default/virtualbox
%{_sysconfdir}/pm/config.d/vboxdrv
%{_prefix}/lib/modules-load.d/virtualbox.conf
%{_bindir}/VBoxManage
%{_bindir}/VBoxSDL
%{_bindir}/VirtualBox
%{_bindir}/vditool
/lib/udev/rules.d/59-vboxdrv.rules
/lib/udev/VBoxCreateUSBNode.sh
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/DbgPlugInDiggers.so
%{_libdir}/%{name}/SUPInstall
%{_libdir}/%{name}/SUPUninstall
%attr(4755,root,root) %{_libdir}/%{name}/VirtualBox
%attr(4755,root,root) %{_libdir}/%{name}/VBoxSDL
%attr(4755,root,root) %{_libdir}/%{name}/VBoxHeadless
%attr(4755,root,root) %{_libdir}/%{name}/VBoxNetDHCP
%attr(4755,root,root) %{_libdir}/%{name}/VBoxNetAdpCtl
%attr(4755,root,root) %{_libdir}/%{name}/VBoxNetNAT
%{_libdir}/%{name}/VirtualBox.so
%{_libdir}/%{name}/*.sh
%{_libdir}/%{name}/VBox*.so
%{_libdir}/%{name}/VMMRC.rc
%{_libdir}/%{name}/VMMRC.debug
%{_libdir}/%{name}/VMMR0.r0
%{_libdir}/%{name}/VMMR0.debug
%{_libdir}/%{name}/iPxeBaseBin
%{_libdir}/VirtualBox/VBox.png
%{_libdir}/VirtualBox/VBoxAutostart
%{_libdir}/VirtualBox/VBoxBalloonCtrl
%{_libdir}/VirtualBox/VBoxBugReport
%{_libdir}/VirtualBox/VBoxCpuReport
%{_libdir}/VirtualBox/VBox*.debug
%{_libdir}/VirtualBox/VBox*.r0
%{_libdir}/VirtualBox/VBox*.rc
%{_libdir}/VirtualBox/VBox*.fd
%{_libdir}/VirtualBox/VBoxDTrace
%{_libdir}/VirtualBox/VBoxExtPackHelperApp
%{_libdir}/VirtualBox/VBoxManage
%{_libdir}/VirtualBox/VBoxManageHelp
%{_libdir}/VirtualBox/VBoxSVC
%{_libdir}/VirtualBox/VBoxTestOGL
%{_libdir}/VirtualBox/VBoxTunctl
%{_libdir}/VirtualBox/VBoxVMMPreload
%{_libdir}/VirtualBox/VBoxVolInfo
%{_libdir}/VirtualBox/VBoxXPCOMIPCD
%dir %{_libdir}/%{name}/components
%{_libdir}/%{name}/components/VBox*.so
%{_libdir}/%{name}/components/VBoxXPCOMBase.xpt
%{_libdir}/%{name}/components/VirtualBox_XPCOM.xpt
%dir %{_libdir}/VirtualBox/ExtensionPacks
%dir %{_libdir}/VirtualBox/ExtensionPacks/VNC
%{_libdir}/VirtualBox/ExtensionPacks/VNC/*
%dir %{_libdir}/%{name}/ExtensionPacks/Oracle_VBoxDTrace_Extension_Pack
%{_libdir}/%{name}/ExtensionPacks/Oracle_VBoxDTrace_Extension_Pack/*
%dir %{_libdir}/%{name}/ExtensionPacks/Oracle_VBoxDTrace_Extension_Pack/linux.*/
%{_libdir}/%{name}/ExtensionPacks/Oracle_VBoxDTrace_Extension_Pack/linux.*/*
%dir %{_libdir}/%{name}/UnattendedTemplates
%{_libdir}/%{name}/UnattendedTemplates/*
%dir %{_libdir}/VirtualBox/dtrace
%dir %{_libdir}/VirtualBox/dtrace/lib
%{_libdir}/VirtualBox/dtrace/lib/*
%dir %{_libdir}/VirtualBox/dtrace/testcase
%{_libdir}/VirtualBox/dtrace/testcase/*
#%dir %{_libdir}/%{name}/helpers
#%{_libdir}/%{name}/helpers/generate_service_file
%dir %{_libdir}/%{name}/icons
%{_libdir}/%{name}/icons/*
%{_libdir}/VirtualBox/rdesktop-vrdp
%dir %{_libdir}/VirtualBox/rdesktop-vrdp-keymaps
%{_libdir}/VirtualBox/rdesktop-vrdp-keymaps/*
%{_libdir}/VirtualBox/rdesktop-vrdp.tar.gz
%if "%{stage1}" != "1"
%{_libdir}/%{name}/libvboxjxpcom.so
%endif
%dir %{_libdir}/%{name}/nls
%{_libdir}/%{name}/nls/VirtualBox_*.qm
%{_libdir}/%{name}/nls/qt_*.qm
%dir %{_libdir}/%{name}/scripts
%{_libdir}/%{name}/scripts/*
%{_libdir}/%{name}/tools/*
%{_libdir}/%{name}/SUPLoggerCtl
%{_libdir}/%{name}/vboxkeyboard.tar.bz2
%ifarch x86_64
%{_libdir}/%{name}/vboxshell.py
%endif
%{_libdir}/%{name}/virtualbox.desktop
%{_libdir}/%{name}/virtualbox.xml
%{_libdir}/%{name}/xpidl
%{_libdir}/%{name}/UserManual.pdf
%{_libdir}/dri/vboxvideo_dri.so
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/VBox.png
# dkms
%dir %{_prefix}/src/vboxdrv-%{version}
%{_prefix}/src/vboxdrv-%{version}/*
%dir %{_prefix}/src/vboxnetadp-%{version}
%{_prefix}/src/vboxnetadp-%{version}/*
%dir %{_prefix}/src/vboxnetflt-%{version}
%{_prefix}/src/vboxnetflt-%{version}/*
%dir %{_prefix}/src/vboxpci-%{version}
%{_prefix}/src/vboxpci-%{version}/*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/virtualbox/
%{_includedir}/virtualbox/VBox
%{_includedir}/virtualbox/iprt

%files web
%defattr(-,root,root)
%{_initrddir}/vboxweb-service
%{_libdir}/VirtualBox/vboxwebsrv
%{_libdir}/VirtualBox/webtest
%{_bindir}/vboxwebsrv
#%{_libdir}/%{name}/vboxwebsrv

#%files -n xorg-drv-video-vboxvideo
#%defattr(-,root,root)
#%{_libdir}/dri/vboxvideo_dri.so
#%{_libdir}/xorg/modules/drivers/vboxvideo_drv.so

%files additions
%defattr(-,root,root)
%{_initrddir}/vboxadd
%{_libdir}/VirtualBox/additions/VBoxEGL.so
%{_libdir}/VBoxOGL*.so
%{_sbindir}/VBoxClient
%{_sbindir}/VBoxControl
%{_sbindir}/VBoxService
%{_libdir}/%{name}/additions/autorun.sh
%{_libdir}/%{name}/additions/mount.vboxsf
%{_libdir}/%{name}/additions/pam_vbox.so
%{_libdir}/%{name}/additions/runasroot.sh
#%{_libdir}/%{name}/additions/vboxadd*

%files additions-VBoxGuest
%defattr(-,root,root)
%{_libdir}/%{name}/additions/VBoxGuestAdditions.iso

%files vboxguest
%defattr(-,root,root)
%dir %{_prefix}/src/vboxguest-%{version}
%{_prefix}/src/vboxguest-%{version}/*
%dir %{_prefix}/src/vboxvideo-%{version}
%{_prefix}/src/vboxvideo-%{version}/*

%changelog
* Fri May 25 2018 Automatic Build System <autodist@mambasoft.it> 5.2.12-1mamba
- automatic version update by autodist

* Thu Apr 19 2018 Automatic Build System <autodist@mambasoft.it> 5.2.10-1mamba
- automatic version update by autodist

* Tue Mar 13 2018 Automatic Build System <autodist@mambasoft.it> 5.2.8-1mamba
- automatic version update by autodist

* Tue Jan 23 2018 Automatic Build System <autodist@mambasoft.it> 5.2.6-1mamba
- automatic version update by autodist

* Sat Jan 13 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.4-1mamba
- update to 5.2.4
- require libelf-devel

* Sat Dec 23 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.2-2mamba
- fix dkms build by installing each module in its own directory in /usr/src

* Fri Dec 08 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.2-1mamba
- update to 5.2.2

* Sun Jun 18 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.22-1mamba
- update to 5.1.22

* Wed Oct 19 2016 Automatic Build System <autodist@mambasoft.it> 5.1.8-1mamba
- automatic version update by autodist

* Tue Sep 13 2016 Automatic Build System <autodist@mambasoft.it> 5.1.6-1mamba
- automatic version update by autodist

* Sun Aug 21 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.4-2mamba
- remove custom VBOX_VERSION_STRING to fix built-in extensions loading

* Sat Aug 20 2016 Automatic Build System <autodist@mambasoft.it> 5.1.4-1mamba
- automatic version update by autodist

* Sun Jul 24 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.2-2mamba
- fix error in permissions of suid binaries

* Sat Jul 23 2016 Automatic Build System <autodist@mambasoft.it> 5.1.2-1mamba
- automatic version update by autodist

* Tue Jul 12 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.24-2mamba
- fixes to maker hardened version work

* Mon Jul 11 2016 Automatic Build System <autodist@mambasoft.it> 5.0.24-1mamba
- automatic version update by autodist

* Mon Mar 07 2016 Automatic Build System <autodist@mambasoft.it> 5.0.16-1mamba
- automatic version update by autodist

* Wed Jan 20 2016 Automatic Build System <autodist@mambasoft.it> 5.0.14-1mamba
- automatic version update by autodist

* Sun Dec 27 2015 Automatic Build System <autodist@mambasoft.it> 5.0.12-1mamba
- automatic version update by autodist

* Wed Nov 18 2015 Automatic Build System <autodist@mambasoft.it> 5.0.10-1mamba
- automatic version update by autodist

* Sat Oct 10 2015 Automatic Build System <autodist@mambasoft.it> 5.0.6-1mamba
- automatic version update by autodist

* Sat Sep 26 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.4-2mamba
- fix a mess with %{_prefix}/lib/modules-load.d/virtualbox.conf becoming a directory
- disable systemd service calls, there is no service

* Sun Sep 13 2015 Automatic Build System <autodist@mambasoft.it> 5.0.4-1mamba
- automatic version update by autodist

* Wed Aug 26 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.2-2mamba
- fix udev rule for usb support; require user in vboxusers

* Wed Aug 26 2015 Automatic Build System <autodist@mambasoft.it> 5.0.2-1mamba
- automatic version update by autodist
- move from /opt/VirtualBox to %_libdir/VirtualBox
- remove initrd service, use modules-load.d to load modules at boot

* Wed May 20 2015 Automatic Build System <autodist@mambasoft.it> 4.3.28-1mamba
- automatic version update by autodist

* Thu Apr 30 2015 Automatic Build System <autodist@mambasoft.it> 4.3.26-1mamba
- automatic version update by autodist

* Sat Nov 22 2014 Automatic Build System <autodist@mambasoft.it> 4.3.20-1mamba
- automatic version update by autodist

* Sat Oct 11 2014 Automatic Build System <autodist@mambasoft.it> 4.3.18-1mamba
- automatic version update by autodist

* Wed Sep 10 2014 Automatic Build System <autodist@mambasoft.it> 4.3.16-1mamba
- automatic version update by autodist

* Mon Aug 18 2014 Automatic Build System <autodist@mambasoft.it> 4.3.14-1mamba
- automatic version update by autodist

* Sun Jun 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.12-1mamba
- update to 4.3.12
- built with X.org 1.15

* Thu Apr 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.10-2mamba
- added vdfuse

* Thu Mar 27 2014 Automatic Build System <autodist@mambasoft.it> 4.3.10-1mamba
- automatic version update by autodist

* Wed Feb 26 2014 Automatic Build System <autodist@mambasoft.it> 4.3.8-1mamba
- automatic version update by autodist

* Sat Feb 15 2014 Automatic Build System <autodist@mambasoft.it> 4.3.6-1mamba
- automatic version update by autodist

* Sun Sep 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.18-3mamba
- xorg-drv-video-vboxvideo: don't require kernelvboxvideo to ease livecd installation

* Sat Sep 07 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.18-2mamba
- dkms: remove previous version and force installation

* Fri Sep 06 2013 Automatic Build System <autodist@mambasoft.it> 4.2.18-1mamba
- automatic version update by autodist

* Sun Aug 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.16-4mamba
- install VBoxCreateUSBNode.sh under /lib/udev
- update udev rules to use VBoxCreateUSBNode.sh for usb support after /proc/bus/usb obsoletion
- add vboxusers group used by /lib/udev/VBoxCreateUSBNode.sh 

* Fri Jul 12 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.16-3mamba
- dkms: don't remove in postun for current version; use %posttrans; systemd support

* Tue Jul 09 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.16-2mamba
- initscript: mount /proc/bus/usb here as systemd refuses to do it because it is deprecated

* Fri Jul 05 2013 Automatic Build System <autodist@mambasoft.it> 4.2.16-1mamba
- automatic version update by autodist

* Sat Jun 22 2013 Automatic Build System <autodist@mambasoft.it> 4.2.14-1mamba
- automatic version update by autodist

* Sat Jun 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.12-3mamba
- python 2.7 mass rebuild

* Sun Apr 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.12-2mamba
- correctly remove dkms modules in preun script; legacy fix explicitely by removing 4.2.10

* Fri Apr 12 2013 Automatic Build System <autodist@mambasoft.it> 4.2.12-1mamba
- automatic version update by autodist

* Mon Apr 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.10-2mamba
- rebuilt as a single userspace + kernel package with dkms support

* Fri Mar 22 2013 Automatic Build System <autodist@mambasoft.it> 4.2.10-1mamba
- automatic version update by autodist

* Thu Mar 07 2013 Automatic Build System <autodist@mambasoft.it> 4.2.8-1mamba
- automatic version update by autodist

* Fri Jan 18 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.6-2mamba
- restore udev file for vboxdrv

* Thu Dec 20 2012 Automatic Build System <autodist@mambasoft.it> 4.2.6-1mamba
- automatic version update by autodist

* Mon Nov 26 2012 Automatic Build System <autodist@mambasoft.it> 4.2.4-1mamba
- automatic version update by autodist

* Wed Oct 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.0-2mamba
- rebuil with 3.4.12 (fix crashes?)

* Fri Sep 14 2012 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Sat Sep 08 2012 Automatic Build System <autodist@mambasoft.it> 4.1.22-1mamba
- automatic version update by autodist

* Wed Aug 22 2012 Automatic Build System <autodist@mambasoft.it> 4.1.20-1mamba
- automatic version update by autodist

* Thu Jun 28 2012 Automatic Build System <autodist@mambasoft.it> 4.1.18-1mamba
- automatic version update by autodist

* Mon May 28 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.16-1mamba
- update to 4.1.16

* Tue Feb 14 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.8-3mamba
- remove modprobe.d rule for loading vboxnetflt; load from initscript to avoid infinite loop with kmod >=5

* Sun Feb 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.8-2mamba
- automatic update by autodist

* Tue Dec 20 2011 Automatic Build System <autodist@mambasoft.it> 4.1.8-1mamba
- automatic version update by autodist

* Sat Nov 05 2011 Automatic Build System <autodist@mambasoft.it> 4.1.6-1mamba
- automatic version update by autodist

* Tue Nov 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.4-3mamba
- install vboxwebsrv initscript

* Sun Oct 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.4-2mamba
- rebuilt with --enablewebservice and --enablevnc

* Fri Oct 14 2011 Automatic Build System <autodist@mambasoft.it> 4.1.4-1mamba
- automatic version update by autodist

* Fri Sep 30 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.2-4mamba
- rebuilt after kernel configuration change (3.0.4-3mamba)

* Sun Sep 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.2-3mamba
- automatic update by autodist

* Fri Aug 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.2-2mamba
- automatic update by autodist

* Mon Aug 15 2011 Automatic Build System <autodist@mambasoft.it> 4.1.2-1mamba
- automatic version update by autodist

* Sat Aug 13 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.0-2mamba
- added /etc/pm/config.d/vboxdrv to fix suspend

* Tue Jul 19 2011 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic update by autodist

* Sat Jul 16 2011 Automatic Build System <autodist@mambasoft.it> 4.0.12-1mamba
- automatic update by autodist

* Tue Jun 28 2011 Automatic Build System <autodist@mambasoft.it> 4.0.10-1mamba
- automatic update by autodist

* Tue Jun 14 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.8-5mamba
- fix vboxguest.ko build

* Thu Jun 09 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.8-4mamba
- added vboxguest.ko and VirtualBox-additions for guest only installations

* Mon May 30 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.8-3mamba
- modprobe: add remove code in vboxdrv.conf to fix init script stop/restart

* Sat May 28 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.8-2mamba
- enable ffmpeg fb for capturing using VBoxHeadless
- set distribution in build string (see http://www.virtualbox.org/wiki/Editions)

* Tue May 17 2011 Automatic Build System <autodist@mambasoft.it> 4.0.8-1mamba
- automatic update by autodist

* Mon May 09 2011 Automatic Build System <autodist@mambasoft.it> 4.0.6-1mamba
- automatic update by autodist

* Wed Apr 20 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.4-2mamba
- kernel 2.6.38 rebuild

* Mon Feb 21 2011 Automatic Build System <autodist@mambasoft.it> 4.0.4-1mamba
- automatic update by autodist

* Mon Feb 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.2-1mamba
- update to 4.0.2

* Sun Dec 26 2010 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- update to 4.0.0

* Thu Dec 16 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.10-5mamba
- automatic rebuild by autodist

* Sun Nov 21 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.10-4mamba
- rebuilt

* Thu Nov 18 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.10-3mamba
- install and rename properly only the video driver for current X.org release (1.7)

* Mon Nov 15 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.10-2mamba
- added DRM kernel module, xorg-drv-video-vboxvideo and xorg-drv-input-vboxmouse

* Tue Oct 12 2010 Automatic Build System <autodist@mambasoft.it> 3.2.10-1mamba
- automatic update to 3.2.10 by autodist

* Tue Sep 14 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.8-3mamba
- fix kernel version in depmod

* Tue Aug 10 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.8-2mamba
- run depmod in kernel module post and postun scripts

* Sat Aug 07 2010 Automatic Build System <autodist@mambasoft.it> 3.2.8-1mamba
- automatic update to 3.2.8 by autodist

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 3.2.6-1mamba
- automatic update to 3.2.6 by autodist

* Tue Jun 08 2010 Automatic Build System <autodist@mambasoft.it> 3.2.4-1mamba
- automatic update to 3.2.4 by autodist

* Thu Jun 03 2010 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic update to 3.2.2 by autodist

* Mon May 31 2010 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic update to 3.2.0 by autodist

* Mon May 10 2010 Automatic Build System <autodist@mambasoft.it> 3.1.8-1mamba
- automatic update to 3.1.8 by autodist

* Mon Mar 29 2010 Automatic Build System <autodist@mambasoft.it> 3.1.6-1mamba
- automatic update to 3.1.6 by autodist

* Tue Mar 09 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.4-2mamba
- automatic rebuild by autodist

* Sat Feb 13 2010 Automatic Build System <autodist@mambasoft.it> 3.1.4-1mamba
- automatic update to 3.1.4 by autodist

* Sat Dec 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.2-2mamba
- automatic rebuild by autodist

* Fri Dec 18 2009 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- automatic update to 3.1.2 by autodist

* Tue Dec 01 2009 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic update to 3.1.0 by autodist

* Thu Nov 19 2009 Automatic Build System <autodist@mambasoft.it> 3.0.12-1mamba
- automatic update to 3.0.12 by autodist

* Thu Oct 29 2009 Automatic Build System <autodist@mambasoft.it> 3.0.10-1mamba
- automatic update to 3.0.10 by autodist

* Mon Oct 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.8-3mamba
- removed python 2.4 binding

* Sun Oct 11 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.8-2mamba
- fixed icon in menu entry

* Tue Oct 06 2009 Automatic Build System <autodist@mambasoft.it> 3.0.8-1mamba
- automatic update to 3.0.8 by autodist

* Mon Sep 28 2009 Automatic Build System <autodist@mambasoft.it> 3.0.6-1mamba
- automatic update to 3.0.6 by autodist

* Sat Aug 22 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-3mamba
- fixed kernel modules build

* Thu Aug 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-2mamba
- move kernel module build from kernel-extramodules

* Wed Aug 05 2009 Automatic Build System <autodist@mambasoft.it> 3.0.4-1mamba
- automatic update to 3.0.4 by autodist

* Sun Jul 12 2009 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic update to 3.0.2 by autodist

* Sun Jul 12 2009 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic update to 3.0.2 by autodist

* Wed Jul 01 2009 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic update to 3.0.0 by autodist

* Sat May 30 2009 Automatic Build System <autodist@mambasoft.it> 2.2.4-1mamba
- automatic update to 2.2.4 by autodist

* Tue Apr 28 2009 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- automatic update to 2.2.2 by autodist

* Thu Apr 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0-1mamba
- automatic update to 2.2.0 by autodist

* Wed Feb 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.4-2mamba
- rebuilt with option --disable-hardening

* Tue Feb 17 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.4-1mamba
- automatic update to 2.1.4 by autodist

* Mon Jan 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.2-1mamba
- automatic update to 2.1.2 by autodist

* Mon Dec 22 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-1mamba
- automatic update to 2.1.0 by autodist

* Mon Nov 24 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.6-1mamba
- automatic update to 2.0.6 by autodist

* Tue Nov 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.4-1mamba
- automatic update to 2.0.4 by autodist

* Thu Sep 25 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-1mamba
- automatic update to 2.0.2 by autodist

* Tue Sep 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.6-1mamba
- update to 1.6.6

* Mon Jun 09 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.2-1mamba
- update to 1.6.2
- moved VBoxGuestAddition ISO to separate package

* Tue May 06 2008 Aleph0 <aleph0@openmamba.org> 1.6.0-1mamba
- update to 1.6.0
- install VirtualBox Guest Additions iso image

* Wed Mar 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.6-1mamba
- update to 1.5.6

* Thu Oct 18 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.2-1mamba
- update to 1.5.2

* Fri May 04 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.4.0-1mamba
- package created by autospec
